Attribute VB_Name = "modBpcaConst"
Option Explicit

'_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
'_/
'_/ --- Breakthrough in the Pseudo-Control-Array  ---
'_/  [ clsBpca/clsBpcaCh ] Event type constants
'_/
'_/     Control: Label, CommandButton, TextBox, CheckBox
'_/              OptionButton, ToggleButton, ComboBox, SpinButton
'_/
'_/     AddinBox(K.Tsunoda) CopyRight(C) 2004 Allrights Reserved.
'_/       [http://addinbox.sakura.ne.jp/Breakthrough_P-Ctrl_Arrays_Eng.htm ]
'_/       [Old Site : http://www.h3.dion.ne.jp/~sakatsu/Breakthrough_P-Ctrl_Arrays_Eng.htm ]
'_/
'_/     22 Jun 2004 Ver1.0  1st version(Japanese)
'_/     23 Jun 2004 Ver1.1
'_/     10 Mar 2005 Ver1.2
'_/     15 Apr 2011 Ver1.3
'_/     22 Jul 2014 Ver1.4
'_/     24 Jul 2014 Ver1.4  (English version)
'_/
'_/  Cannot handle [Enter/Exit/BeforeUpdate/AfterUpdate]
'_/
'_/  A definition of this event constants is necessary to use
'_/  clsBpca/clsBpcaCh class.
'_/
'_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/


Public Const BPCA2_Change As Long = 1            '[ 1]bit(ON)
Public Const BPCA2_Click As Long = 2             '[ 2]
Public Const BPCA2_DblClick As Long = 4          '[ 3]
Public Const BPCA2_KeyDown As Long = 8           '[ 4]
Public Const BPCA2_KeyPress As Long = 16         '[ 5]
Public Const BPCA2_KeyUp As Long = 32            '[ 6]
Public Const BPCA2_MouseMove As Long = 64        '[ 7]
Public Const BPCA2_MouseDown As Long = 128       '[ 8]
Public Const BPCA2_MouseUp As Long = 256         '[ 9]
Public Const BPCA2_DropBtnClick As Long = 512    '[10]
Public Const BPCA2_SpinDown As Long = 1024       '[11]
Public Const BPCA2_SpinUp As Long = 2048         '[12]

Public Const BPCA2_All As Long = &HFFF&     '(4095,12bit all-ON)

Public Const BPCA2_KeyDU As Long = BPCA2_KeyDown + BPCA2_KeyUp
Public Const BPCA2_KeyDPU As Long = BPCA2_KeyDown + BPCA2_KeyPress + BPCA2_KeyUp
Public Const BPCA2_MouseDU As Long = BPCA2_MouseDown + BPCA2_MouseUp
Public Const BPCA2_MouseMDU As Long = BPCA2_MouseMove + BPCA2_MouseDown + BPCA2_MouseUp
Public Const BPCA2_SpinDU As Long = BPCA2_SpinDown + BPCA2_SpinUp

Public Const BPCA2_Except_MouseM As Long = BPCA2_All - BPCA2_MouseMove


'-- Enumeration list of Event type constants --
Public Enum BPCA_Event
    BPCA_Change = BPCA2_Change
    BPCA_Click = BPCA2_Click
    BPCA_DblClick = BPCA2_DblClick
    BPCA_KeyDown = BPCA2_KeyDown
    BPCA_KeyPress = BPCA2_KeyPress
    BPCA_KeyUp = BPCA2_KeyUp
    BPCA_MouseMove = BPCA2_MouseMove
    BPCA_MouseDown = BPCA2_MouseDown
    BPCA_MouseUp = BPCA2_MouseUp
    BPCA_DropBtnClick = BPCA2_DropBtnClick
    BPCA_SpinDown = BPCA2_SpinDown
    BPCA_SpinUp = BPCA2_SpinUp
    BPCA_All = BPCA2_All
    BPCA_KeyDU = BPCA2_KeyDU
    BPCA_KeyDPU = BPCA2_KeyDPU
    BPCA_MouseDU = BPCA2_MouseDU
    BPCA_MouseMDU = BPCA2_MouseMDU
    BPCA_SpinDU = BPCA2_SpinDU
    BPCA_Except_MouseM = BPCA2_Except_MouseM
End Enum

'------------( modBpcaConst )-----------------------------------------
